Author Topic: Word/Spreadsheet for Openzaurus sl3000  (Read 3142 times)

sealbait

  • Newbie
  • *
  • Posts: 7
    • View Profile
Word/Spreadsheet for Openzaurus sl3000
« on: July 14, 2022, 11:22:46 pm »
Could anyone guide to a spreadsheet and word for a sl3000 running openzaurus
« Last Edit: July 15, 2022, 03:12:05 am by Varti »

Varti

  • Administrator
  • Hero Member
  • *****
  • Posts: 1267
    • View Profile
Re: Word/Spreadsheet for Openzaurs sl3000
« Reply #1 on: July 15, 2022, 03:11:51 am »
You could give abiword and gnumeric a try:

https://feed-zaurus.dahwa.fr/zaurusfr/openzaurus/3.5.4.1/feed/x11/

This feed is for 3.5.4.1, there are feeds for older OZ versions as well. The packages themselves are old, for newer ones you could try to upgrade to Ångström.

Varti
Planet Gemini PDA WiFi/LTE with Mediatek x27
SL-C1000 running Arch Linux ARM May2017, K30225 Wi-Fi CF Card, 64GB SDXC card
and many other Zauruses!

sealbait

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #2 on: July 16, 2022, 11:00:38 am »
Thanks, I'll try it

sealbait

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #3 on: July 17, 2022, 01:28:26 am »
Tried both. Won't install, get error - missing packages. Anyone with any ideas?

Varti

  • Administrator
  • Hero Member
  • *****
  • Posts: 1267
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #4 on: July 18, 2022, 03:39:42 am »
Does it return what dependencies it requires? Failing that, the required packages for each ipk are listed in the archive itself, it's in a file called control, compressed as control.tar.gz. It can be extracted with

Code: [Select]
tar zxOf whatever.ipk ./control.tar.gz | tar zxOf - ./control | grep '^Depends: '
For example, the list of dependencies for abiword_2.4.4-r1_armv5te.ipk is
Code: [Select]
enchant, glibc-gconv-ibm850, glibc-gconv-cp1252, glibc-gconv-iso8859-15, glibc-gconv-iso8859-1, libgcc1 (>= 3.4.4), libc6 (>= 2.3.5+cvs20050627), libglade-2.0-0 (>= 2.5.1), gtk+ (>= 2.6.10), libatk-1.0-0 (>= 1.9.0), pango (>= 1.8.1), libglib-2.0-0 (>= 2.6.4), libsm6 (>= 6.0.3), libice6 (>= 6.3.3), libx11-6 (>= 6.2.1), libgnomeprintui-2-2-0 (>= 2.8.2), libgnomeprint-2-2-0 (>= 2.8.2), libgnomecanvas-2-0 (>= 2.12.0), libxml2 (>= 2.6.10), libz1 (>= 1.2.3), libart-lgpl-2-2 (>= 2.3.16), enchant (>= 1.2.5), libfribidi0 (>= 0.10.4), libpng12-0 (>= 1.2.8), libpopt0 (>= 1.7), libxft2 (>= 2.1.6), libfreetype6 (>= 2.1.10), libxrender1 (>= 0.8.4), libfontconfig1 (>= 2.2.95), libstdc++6 (>= 3.4.4)
Varti
Planet Gemini PDA WiFi/LTE with Mediatek x27
SL-C1000 running Arch Linux ARM May2017, K30225 Wi-Fi CF Card, 64GB SDXC card
and many other Zauruses!

sealbait

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #5 on: July 18, 2022, 10:49:02 pm »
Yes, saying it depends on something and to install that.

Varti

  • Administrator
  • Hero Member
  • *****
  • Posts: 1267
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #6 on: July 19, 2022, 03:32:43 am »
You should then install all the required packages first, once installed then proceed with the installation of both abiword and gnumeric.

Varti
Planet Gemini PDA WiFi/LTE with Mediatek x27
SL-C1000 running Arch Linux ARM May2017, K30225 Wi-Fi CF Card, 64GB SDXC card
and many other Zauruses!

sealbait

  • Newbie
  • *
  • Posts: 7
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #7 on: July 19, 2022, 02:05:29 pm »
I've looked for the packages but unable to locate them.

Varti

  • Administrator
  • Hero Member
  • *****
  • Posts: 1267
    • View Profile
Re: Word/Spreadsheet for Openzaurus sl3000
« Reply #8 on: July 21, 2022, 03:19:00 am »
What are the missing packages? There's still a couple of feeds around, they might have the required packages.

Varti
Planet Gemini PDA WiFi/LTE with Mediatek x27
SL-C1000 running Arch Linux ARM May2017, K30225 Wi-Fi CF Card, 64GB SDXC card
and many other Zauruses!